package cn.sxt.mygame;

import java.awt.Color;
import java.awt.Graphics;

/**
 * ڵ
 *
 * @author 
 */

public class Shell extends GameObject {
	
	int degree;
	
	public Shell() {
		this.x = 200;
		this.y = 200;
		this.width = 10;
		this.height = 10;
		this.speed = 3;
		degree = (int)(Math.random() * Math.PI*2);
	}
	
	public void draw(Graphics g) {
		Color c = g.getColor();
		g.setColor(Color.YELLOW);
		g.fillOval((int)x, (int)y, width, height);
		
		x += speed * Math.cos(degree);
		y += speed * Math.sin(degree);
		
		if(x<10 || x>Constant.GAME_WIDTH-width) {
			degree = (int)(Math.PI - degree);
		}
		if(y<40 || y>Constant.GAME_HEIGHT-height) {
			degree = -degree;
		}
		
		g.setColor(c);
		
	}
}
